Ticket #33681

FFFTP 1.98g2 を更新するとエラーが出る

Date d'ouverture: 2014-04-14 13:16 Dernière mise à jour: 2014-04-14 13:16

Rapporteur:
(Anonyme)
Propriétaire:
(Aucun)
Type:
État:
Ouvert
Composant:
(Aucun)
Jalon:
(Aucun)
Priorité:
6
Sévérité:
6
Résolution:
Aucun
Fichier:
Aucun

Détails

状況:  ・ 自営リポジトリで,FFFTP 1.98g を登録していた.  ・ 2014/4/13にFFFTP 1.98g2 の更新があり,リポジトリに登録した.  ・ クライアント側では, FFFTP 1.98g2 を正常に読み込んだ  ・ しかし,「ソフトの更新」をクリックすると,   「予期せぬエラー」で AppliStation が落ちた.    エラーの詳細は,下記の通り.

--- System.IndexOutOfRangeException: インデックスが配列の境界外です。

場所 NaGet.Packages.VersionComparetor.Compare(String a, String b) 場所 c:\work\AppliStation\na-get-lib\NaGet.Packages\VersionComparetor.cs:行 47 場所 NaGet.Packages.Install.UpgradeFinder.getUpgradePkg(Package pkg, PackageList1 pkgList, PackageList1 instPkgList, String[] exclude, IComparer1 verComp) 場所 c:\work\AppliStation\na-get-lib\NaGet.Packages.Install\UpgradeFinder.cs:行 24 場所 NaGet.Packages.Install.UpgradeFinder.<GetUpgradePackages>d0.MoveNext() 場所 c:\work\AppliStation\na-get-lib\NaGet.Packages.Install\UpgradeFinder.cs:行 51 場所 System.Collections.Generic.List1..ctor(IEnumerable1 collection) 場所 AppliStation.PackageListViewForm.UpgradeToolStripButtonClick(Object sender, EventArgs e) 場所 c:\work\AppliStation\AppliStation\PackageListViewForm.cs:行 723

Ticket History (1/1 Histories)

2014-04-14 13:16 Updated by: None
  • New Ticket "FFFTP 1.98g2 を更新するとエラーが出る" created

Attachment File List

No attachments

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion